local addonName,addon = ...
local L = addon.LOCALISATION
local M = addon.CUSTOM_FRAME_MODES
table.insert(M,function (a) return {
		a.CLASSES["DEATHKNIGHT"] and a.CLASSES["DEATHKNIGHT"].name[2] or L["Death Knight"],
		a.CLASSES["DEATHKNIGHT"].color,
		a.SetLayeredTextures(a.SetTexture({
			["file"] = "Interface\\AddOns\\ElitePlayerFrame_Enhanced\\CustomTextures.blp",
			["file-2x"] = "Interface\\AddOns\\ElitePlayerFrame_Enhanced\\CustomTextures-2x.blp",
			["width"] = 267,
			["height"] = 116,
			["leftTexCoord"] = 0/1024,
			["rightTexCoord"] = 534/1024,
			["topTexCoord"] = 0/512,
			["bottomTexCoord"] = 232/512
		},a.SetPointOffset(-5,-3)),a.SetTexture({	--0,6.5
			["file"] = "Interface\\AddOns\\ElitePlayerFrame_Enhanced\\CustomTextures.blp",
			["file-2x"] = "Interface\\AddOns\\ElitePlayerFrame_Enhanced\\CustomTextures-2x.blp",
			["width"] = 56,
			["height"] = 98,
			["leftTexCoord"] = 0/1024,
			["rightTexCoord"] = 112/1024,
			["topTexCoord"] = 232/512,
			["bottomTexCoord"] = 428/512
		},a.SetPointOffset(-12,-5))),	-- 14,7
		a.SetPointOffset(-10,10),
		function (a) return a.settings.classSelection == 1 and a.info.player.class == "DEATHKNIGHT" end
	} end)
table.insert(M,function (a) return {
		a.CLASSES["DEMONHUNTER"] and a.CLASSES["DEMONHUNTER"].name[2] or L["Demon Hunter"],
		a.CLASSES["DEMONHUNTER"].color,
		a.SetLayeredTextures(a.SetTexture({
			["file"] = "Interface\\AddOns\\ElitePlayerFrame_Enhanced\\CustomTextures.blp",
			["file-2x"] = "Interface\\AddOns\\ElitePlayerFrame_Enhanced\\CustomTextures-2x.blp",
			["width"] = 213,
			["height"] = 161,
			["leftTexCoord"] = 534/1024,
			["rightTexCoord"] = 960/1024,
			["topTexCoord"] = 0/512,
			["bottomTexCoord"] = 322/512
		},a.SetPointOffset(16,-3)),a.SetTexture({
			["file"] = "Interface\\AddOns\\ElitePlayerFrame_Enhanced\\CustomTextures.blp",
			["file-2x"] = "Interface\\AddOns\\ElitePlayerFrame_Enhanced\\CustomTextures-2x.blp",
			["width"] = 66,
			["height"] = 81,
			["leftTexCoord"] = 112/1024,
			["rightTexCoord"] = 238/1024,
			["topTexCoord"] = 232/512,
			["bottomTexCoord"] = 394/512
		},a.SetPointOffset(-21,3))),
		a.SetPointOffset(-15,-55),
		function (a) return a.settings.classSelection == 1 and a.info.player.class == "DEMONHUNTER" end
	} end)
--[[ Example Texture ]
table.insert(M,function (a)	-- Called with addon during initialisation
	return {	-- Table sent to addon for registration
		"Name",	-- Mode name
		WHITE_FONT_COLOR,	-- Mode color
		{
			["Frame"] = {	-- Texture psuedo-atlas and point offets from default frame texture (sub-level below)
				["atlas"] = {	-- Table with similar structure as the return from C_Texture.GetAtlasInfo()
					["name"] = "UI-HUD-UnitFrame-Target-PortraitOn-Boss-Gold-Winged",	-- Used as atlasName for SetAtlas() (default: nil). Add a resolution suffix when specifying higher resolution alternative texture.
					["file"] = "Interface\\AddOns\\YourAddon\\CustomTextures.blp",	-- Used as file for SetTexture() if not using an atlas name (default: nil). Add a resolution suffix when specifying higher resolution alternative texture.
					["width"] = 0,	-- Used as width for SetSize() if not using an atlas name, or overriding an atlas size (default: nil)
					["height"] = 0,	-- Used as height for SetSize() if not using an atlas name, or overriding an atlas size (default: nil)
					["leftTexCoord"] = 0,	-- Used as left for SetTexCoord() if not using an atlas name (default: 0)
					["rightTexCoord"] = 1,	-- Used as right for SetTexCoord() if not using an atlas name (default: 1)
					["topTexCoord"] = 0,	-- Used as top for SetTexCoord() if not using an atlas name (default: 0)
					["bottomTexCoord"] = 1,	-- Used as bottom for SetTexCoord() if not using an atlas name (default: 1)
					["tilesHorizontally"] = nil,	-- Used as horizWrap for SetTexture() if not using an atlas name (default: nil)
					["tilesVertically"] = nil,	-- Used as vertWrap for SetTexture() if not using an atlas name (default: nil)
					["filterMode"] = nil,	-- Used as filterMode for SetAtlas(), or SetTexture() if not using an atlas name (default: nil)
					["flipHorizontally"] = false,	-- Used to easily flip an atlas texture horizontally if using an atlas name (default: false)
					["flipVertically"] = false,	-- Used to easily flip an atlas texture vertically if using an atlas name (default: false)
					["hideFrame"] = false,	-- Used to hide the default texture (default: false)
				},
				["points"] = a.SetPointOffset(0,0)	-- X & Y offsets from default offsets for texture (default: nil)
			},
			["Portrait"] = {	-- Texture psuedo-atlas and point offsets from default portrait (same sub-level)
				["atlas"] = {	-- Table with similar structure as the return from C_Texture.GetAtlasInfo()
					["name"] = "UI-HUD-UnitFrame-Target-PortraitOn-Boss-Gold-Winged",	-- Used as atlasName for SetAtlas() (default: nil)
					["file"] = "Interface\\AddOns\\YourAddon\\CustomTextures.blp",	-- Used as file for SetTexture() if not using an atlas name (default: nil)
					["width"] = 0,	-- Used as width for SetSize() if not using an atlas name, or overriding an atlas size (default: nil)
					["height"] = 0,	-- Used as height for SetSize() if not using an atlas name, or overriding an atlas size (default: nil)
					["leftTexCoord"] = 0,	-- Used as left for SetTexCoord() if not using an atlas name (default: 0)
					["rightTexCoord"] = 1,	-- Used as right for SetTexCoord() if not using an atlas name (default: 1)
					["topTexCoord"] = 0,	-- Used as top for SetTexCoord() if not using an atlas name (default: 0)
					["bottomTexCoord"] = 1,	-- Used as bottom for SetTexCoord() if not using an atlas name (default: 1)
					["tilesHorizontally"] = nil,	-- Used as horizWrap for SetTexture() if not using an atlas name (default: nil)
					["tilesVertically"] = nil,	-- Used as vertWrap for SetTexture() if not using an atlas name (default: nil)
					["filterMode"] = nil,	-- Used as filterMode for SetAtlas(), or SetTexture() if not using an atlas name (default: nil)
					["flipHorizontally"] = false,	-- Used to easily flip an atlas texture horizontally if using an atlas name (default: false)
					["flipVertically"] = false,	-- Used to easily flip an atlas texture vertically if using an atlas name (default: false)
				},
				["points"] = a.SetPointOffset(0,0)	-- X & Y offsets from default offsets for texture (default: 0,0)
			}
		},
		a.SetPointOffset(0,0),	-- X & Y offsets from default offsets for rest icon (default: nil)
		function (a)	-- Called to determine if this texture should be selected in Auto (1) mode (called in the same order the custom textures are added e.g., this one would be called fourth, so the above textures could be selected earlier if they return true) (default: nil)
			return a.settings.classSelection == 1 and a.info.player.class == "EVOKER"
		end
	} end)
]]--